Events

Worksheets in SpreadJS have their own events that can be bound to specific actions when those events occur. In the workbook below, follow the instructions in the cells to see the message that we have created for specific user interaction events in the spreadsheet.

You can bind sheet events using the bind and unbind methods for the sheet. You can also use the unbindAll method to unbind all the events. As with jQuery's bind and unbind, you can handle the sheet's bind and unbind, as shown in the following code: When you want to perform tasks that might trigger several events, and you don't want the sheet to trigger these events, use the suspendEvent method to keep the events from occurring. After the tasks are complete, you can use the resumeEvent method to resume triggering events, as shown in the following example:
var spreadNS = GC.Spread.Sheets; window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 1 }); initSpread(spread); }; function initSpread(spread) { var sheet = spread.getSheet(0); sheet.suspendPaint(); setStatus(sheet); sheet.setValue(2, 2, "Click me and input a char with your keyboard!"); sheet.addSpan(2, 2, 1, 5); sheet.getRange(2, 2, 1, 5).setBorder(new spreadNS.LineBorder("Black", spreadNS.LineStyle.thin), { all: true }); sheet.setValue(4, 2, "Double-click the empty cell with the black border!"); sheet.addSpan(4, 2, 1, 5); sheet.addSpan(5, 2, 1, 5); sheet.getRange(5, 2, 1, 5).setBorder(new spreadNS.LineBorder("Black", spreadNS.LineStyle.thin), { all: true }); sheet.setValue(7, 2, "Double-click me!"); sheet.addSpan(7, 2, 1, 5); sheet.getRange(7, 2, 1, 5).setBorder(new spreadNS.LineBorder("Black", spreadNS.LineStyle.thin), { all: true }); sheet.setValue(9, 2, "Double-click the empty cell with the black border and click it again!"); sheet.addSpan(9, 2, 1, 7); sheet.addSpan(10, 2, 1, 5); sheet.getRange(10, 2, 1, 5).setBorder(new spreadNS.LineBorder("Black", spreadNS.LineStyle.thin), { all: true }); sheet.resumePaint(); sheet.bind(GC.Spread.Sheets.Events.ColumnChanging, function (sender, info) { //insert column if (info.propertyName === "addColumns") { _getElementById("status").innerHTML = "ColumnChanging event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanging: addColumns(" + "column: " + info.col + ")"; } //delete column if (info.propertyName === "deleteColumns") { _getElementById("status").innerHTML = "ColumnChanging event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanging: deleteColumns(" + "column: " + info.col + ")"; } //unhide column if (info.propertyName === "isVisible" && info.newValue === true) { _getElementById("status").innerHTML = "ColumnChanging event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanging: unhide column(" + "column: " + info.col + ")"; } //hide column if (info.propertyName === "isVisible" && info.newValue === false) { _getElementById("status").innerHTML = "ColumnChanging event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanging: hide column(" + "column: " + info.col + ")"; } }); sheet.bind(GC.Spread.Sheets.Events.ColumnChanged, function (sender, info) { //insert column if (info.propertyName === "addColumns") { _getElementById("status").innerHTML = "ColumnChanged event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanged: insert column(" + "column: " + info.col + ")"; } //delete column if (info.propertyName === "deleteColumns") { _getElementById("status").innerHTML = "ColumnChanged event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanged: deleteColumns(" + "column: " + info.col + ")"; } //unhide column if (info.propertyName === "isVisible" && info.newValue === true) { _getElementById("status").innerHTML = "ColumnChanged event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanged: unhide column(" + "column: " + info.col + ")"; } //hide column if (info.propertyName === "isVisible" && info.newValue === false) { _getElementById("status").innerHTML = "ColumnChanged event called!"; _getElementById("showSheetEvents").innerHTML = "ColumnChanged: hide column(" + "column: " + info.col + ")"; } }); //RowChanging sheet.bind(GC.Spread.Sheets.Events.RowChanging, function (sender, info) { //insert row if (info.propertyName === "addRows") { _getElementById("status").innerHTML = "RowChanging event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanging: insert row(" + "row: " + info.row + ")"; } //delete row if (info.propertyName === "deleteRows") { _getElementById("status").innerHTML = "RowChanging event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanging: delete row(" + "row: " + info.row + ")"; } //unhide row if (info.propertyName === "isVisible" && info.newValue === true) { _getElementById("status").innerHTML = "RowChanging event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanging: unhide row(" + "row: " + info.row + ")"; } //hide row if (info.propertyName === "isVisible" && info.newValue === false) { _getElementById("status").innerHTML = "RowChanging event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanging: hide row(" + "row: " + info.row + ")"; } }); sheet.bind(GC.Spread.Sheets.Events.RowChanged, function (sender, info) { //insert row if (info.propertyName === "addRows") { _getElementById("status").innerHTML = "RowChanged event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanged: insert row(" + "row: " + info.row + ")"; } //delete row if (info.propertyName === "deleteRows") { _getElementById("status").innerHTML = "RowChanged event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanged: delete row(" + "row: " + info.row + ")"; } //unhide row if (info.propertyName === "isVisible" && info.newValue === true) { _getElementById("status").innerHTML = "RowChanged event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanged: unhide row(" + "row: " + info.row + ")"; } //hide row if (info.propertyName === "isVisible" && info.newValue === false) { _getElementById("status").innerHTML = "RowChanged event called!"; _getElementById("showSheetEvents").innerHTML = "RowChanged: hide row(" + "row: " + info.row + ")"; } }); sheet.bind(spreadNS.Events.EditorStatusChanged, function () { setStatus(sheet); }); sheet.bind(spreadNS.Events.SelectionChanging, function (e, info) { _getElementById("status").innerHTML = "SelectionChanging event called!"; _getElementById("showSheetEvents").innerHTML = "New Selection(" + "row: " + info.newSelections[0].row + ", " + "column: " + info.newSelections[0].col + ", " + "rowCount: " + info.newSelections[0].rowCount + ", " + "columnCount: " + info.newSelections[0].colCount + ")"; }) }; function setStatus(sheet) { var statusNow = sheet.editorStatus(); if (statusNow === spreadNS.EditorStatus.ready) { _getElementById("status").innerHTML = "Editor Status: Ready!"; _getElementById("showSheetEvents").innerHTML = "Cell is not being edited."; } else if (statusNow === spreadNS.EditorStatus.enter) { _getElementById("status").innerHTML = "Editor Status: Enter!"; _getElementById("showSheetEvents").innerHTML = "Cell is being edited, you can leave the cell by pressing one of the arrow keys."; } else if (statusNow === spreadNS.EditorStatus.edit) { _getElementById("status").innerHTML = "Editor Status: Edit!"; _getElementById("showSheetEvents").innerHTML = "Cell is being edited, you can not leave the cell by pressing one of the arrow keys."; } } function _getElementById(id) { return document.getElementById(id); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div class="options-container"> <div class="option-row"> <label style="color:rgb(226,107,29);display:inline-block;font-family:Arial, Helvetica, sans-serif;font-size: 18px;font-weight: normal;height:30px;line-height: 30px " id="status">Settings</label> </div> <div class="option-row"> <textarea id="showSheetEvents" cols="40" rows="5" style="width: 80%"></textarea> </div> </div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } .options-container { float: right; width: 280px; padding: 12px; height: 100%; box-sizing: border-box; background: #fbfbfb; overflow: auto; } .option-row { font-size: 14px; padding: 5px; margin-top: 10px; } label { display: block; margin-bottom: 6px; } input { padding: 4px 6px; } input[type=button] { margin-top: 6px; display: block; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

You can bind sheet events using the bind and unbind methods for the sheet. You can also use the unbindAll method to unbind all the events. As with jQuery's bind and unbind, you can handle the sheet's bind and unbind, as shown in the following code:
When you want to perform tasks that might trigger several events, and you don't want the sheet to trigger these events, use the suspendEvent method to keep the events from occurring. After the tasks are complete, you can use the resumeEvent method to resume triggering events, as shown in the following example:
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div id="statusBar"></div>
<div class="options-container">
<div class="option-row">
<label class='labelStyle' id="status">{{ labelValue }}</label>
</div>
<div class="option-row">
<textarea v-model="textareaValue" id="showSheetEvents" cols="40" rows="5" style=" width: 80%"></textarea>
</div>
</div>
</div>
</template>
<script setup>
import { shallowRef, ref, watch } from "vue";
import "@mescius/spread-sheets-vue";
import GC from '@mescius/spread-sheets';
const spreadRef = shallowRef(null);
const labelValue = ref('Editor Status: Ready!');
const textareaValue = ref('Cell is not being edited.');
let initSpread = function (spread) {
spreadRef.value = spread;
//init Status Bar
var statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(
document.getElementById('statusBar')
);
statusBar.bind(spread);
let sheet = spread.getSheet(0);
sheet.suspendPaint();
setStatus(sheet);
sheet.setValue(2, 2, "Click me and input a char with your keyboard!");
sheet.addSpan(2, 2, 1, 5);
sheet.getRange(2, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(4, 2, "Double-click the empty cell with the black border!");
sheet.addSpan(4, 2, 1, 5);
sheet.addSpan(5, 2, 1, 5);
sheet.getRange(5, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(7, 2, "Double-click me!");
sheet.addSpan(7, 2, 1, 5);
sheet.getRange(7, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(9, 2, "Double-click the empty cell with the black border and click it again!");
sheet.addSpan(9, 2, 1, 7);
sheet.addSpan(10, 2, 1, 5);
sheet.getRange(10, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(12, 2, "Press the F2 key to start editing the empty cell with the black border, then press F2 to switch the editor status.");
sheet.addSpan(13, 2, 1, 5);
sheet.getRange(13, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.resumePaint();
sheet.bind(GC.Spread.Sheets.Events.ColumnChanging, function (sender, info) {
//insert column
if (info.propertyName === "addColumns") {
textareaValue.value = ("ColumnChanging: addColumns(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanging event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
textareaValue.value = ("ColumnChanging: deleteColumns(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanging event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
textareaValue.value = ("ColumnChanging: unhide column(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanging event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
textareaValue.value = ("ColumnChanging: hide column(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.ColumnChanged, function (sender, info) {
//insert column
if (info.propertyName === "addColumns") {
textareaValue.value = ("ColumnChanged: insert column(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanged event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
textareaValue.value = ("ColumnChanged: deleteColumns(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanged event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
textareaValue.value = ("ColumnChanged: unhide column(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanged event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
textareaValue.value = ("ColumnChanged: hide column(" + "column: " + info.col + ")");
labelValue.value = ("ColumnChanged event called!");
}
});
//RowChanging
sheet.bind(GC.Spread.Sheets.Events.RowChanging, function (sender, info) {
//insert row
if (info.propertyName === "addRows") {
textareaValue.value = ("RowChanging: insert row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanging event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
textareaValue.value = ("RowChanging: delete row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanging event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
textareaValue.value = ("RowChanging: unhide row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanging event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
textareaValue.value = ("RowChanging: hide row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.RowChanged, function (sender, info) {
//insert row
if (info.propertyName === "addRows") {
textareaValue.value = ("RowChanged: insert row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanged event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
textareaValue.value = ("RowChanged: delete row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanged event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
textareaValue.value = ("RowChanged: unhide row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanged event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
textareaValue.value = ("RowChanged: hide row(" + "row: " + info.row + ")");
labelValue.value = ("RowChanged event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.EditorStatusChanged, function () {
setStatus(sheet);
});
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e, info) {
textareaValue.value = ("New Selection(" + "row: " + info.newSelections[0].row + ", " + "column: " + info.newSelections[0].col + ", " + "rowCount: " + info.newSelections[0].rowCount + ", " + "columnCount: " + info.newSelections[0].colCount + ")");
labelValue.value = ("SelectionChanging event called!");
});
}
function setStatus(sheet) {
let statusNow = sheet.editorStatus();
if (statusNow === GC.Spread.Sheets.EditorStatus.ready) {
textareaValue.value = ("Cell is not being edited.");
labelValue.value = ("Editor Status: Ready!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.enter) {
textareaValue.value = ("Cell is being edited, you can leave the cell by pressing one of the arrow keys.");
labelValue.value = ("Editor Status: Enter!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.edit) {
textareaValue.value = ("Cell is being edited, you can not leave the cell by pressing one of the arrow keys.");
labelValue.value = ("Editor Status: Edit!");
}
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: calc(100% - 25px);
overflow: hidden;
float: left;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script src="$DEMOROOT$/spread/source/data/outlineColumn-wbs.js" type="text/javascript"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

You can bind sheet events using the bind and unbind methods for the sheet. You can also use the unbindAll method to unbind all the events. As with jQuery's bind and unbind, you can handle the sheet's bind and unbind, as shown in the following code:
When you want to perform tasks that might trigger several events, and you don't want the sheet to trigger these events, use the suspendEvent method to keep the events from occurring. After the tasks are complete, you can use the resumeEvent method to resume triggering events, as shown in the following example:
import { Component, NgModule, enableProdMode, ChangeDetectorRef } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
labelValue = 'Editor Status: Ready!';
textareaValue = 'Cell is not being edited.';
hostStyle = {
width: 'calc(100% - 280px)',
height: 'calc(100% - 25px)',
overflow: 'hidden',
float: 'left'
};
constructor(private cdr: ChangeDetectorRef) {}
setStatus(sheet: any) {
let statusNow = sheet.editorStatus();
if (statusNow === GC.Spread.Sheets.EditorStatus.ready) {
this.textareaValue = ("Cell is not being edited.");
this.labelValue = ("Editor Status: Ready!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.enter) {
this.textareaValue = ("Cell is being edited, you can leave the cell by pressing one of the arrow keys.");
this.labelValue = ("Editor Status: Enter!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.edit) {
this.textareaValue = ("Cell is being edited, you can not leave the cell by pressing one of the arrow keys.");
this.labelValue = ("Editor Status: Edit!");
}
this.cdr.detectChanges();
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
//init Status Bar
var statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(
document.getElementById('statusBar')
);
statusBar.bind(spread);
let self = this;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
this.setStatus(sheet);
sheet.setValue(2, 2, "Click me and input a char with your keyboard!");
sheet.addSpan(2, 2, 1, 5);
sheet.getRange(2, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(4, 2, "Double-click the empty cell with the black border!");
sheet.addSpan(4, 2, 1, 5);
sheet.addSpan(5, 2, 1, 5);
sheet.getRange(5, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(7, 2, "Double-click me!");
sheet.addSpan(7, 2, 1, 5);
sheet.getRange(7, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(9, 2, "Double-click the empty cell with the black border and click it again!");
sheet.addSpan(9, 2, 1, 7);
sheet.addSpan(10, 2, 1, 5);
sheet.getRange(10, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(12, 2, "Press the F2 key to start editing the empty cell with the black border, then press F2 to switch the editor status.");
sheet.addSpan(13, 2, 1, 5);
sheet.getRange(13, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.resumePaint();
sheet.bind(GC.Spread.Sheets.Events.ColumnChanging, function (sender: any, info: any) {
//insert column
if (info.propertyName === "addColumns") {
self.textareaValue = ("ColumnChanging: addColumns(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanging event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
self.textareaValue = ("ColumnChanging: deleteColumns(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanging event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
self.textareaValue = ("ColumnChanging: unhide column(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanging event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
self.textareaValue = ("ColumnChanging: hide column(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.ColumnChanged, function (sender: any, info: any) {
//insert column
if (info.propertyName === "addColumns") {
self.textareaValue = ("ColumnChanged: insert column(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanged event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
self.textareaValue = ("ColumnChanged: deleteColumns(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanged event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
self.textareaValue = ("ColumnChanged: unhide column(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanged event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
self.textareaValue = ("ColumnChanged: hide column(" + "column: " + info.col + ")");
self.labelValue = ("ColumnChanged event called!");
}
});
//RowChanging
sheet.bind(GC.Spread.Sheets.Events.RowChanging, function (sender: any, info: any) {
//insert row
if (info.propertyName === "addRows") {
self.textareaValue = ("RowChanging: insert row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanging event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
self.textareaValue = ("RowChanging: delete row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanging event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
self.textareaValue = ("RowChanging: unhide row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanging event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
self.textareaValue = ("RowChanging: hide row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.RowChanged, function (sender: any, info: any) {
//insert row
if (info.propertyName === "addRows") {
self.textareaValue = ("RowChanged: insert row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanged event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
self.textareaValue = ("RowChanged: delete row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanged event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
self.textareaValue = ("RowChanged: unhide row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanged event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
self.textareaValue = ("RowChanged: hide row(" + "row: " + info.row + ")");
self.labelValue = ("RowChanged event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.EditorStatusChanged, function () {
self.setStatus(sheet);
});
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e: any, info: any) {
self.textareaValue = ("New Selection(" + "row: " + info.newSelections[0].row + ", " + "column: " + info.newSelections[0].col + ", " + "rowCount: " + info.newSelections[0].rowCount + ", " + "columnCount: " + info.newSelections[0].colCount + ")");
self.labelValue = ("SelectionChanging event called!");
});
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div id="statusBar"></div>
<div class="options-container">
<div class="option-row">
<label class='labelStyle' id="status">{{labelValue}}</label>
</div>
<div class="option-row">
<textarea [value]="textareaValue" id="showSheetEvents" cols="40" rows="5" style=" width: 80%"></textarea>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: calc(100% - 25px);
overflow: hidden;
float: left;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
.labelStyle {
color:rgb(226,107,29);
display:inline-block;
font-family:Arial, Helvetica, sans-serif;
font-size: 18px;
font-weight: normal;
height:30px;
line-height: 30px
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

You can bind sheet events using the bind and unbind methods for the sheet. You can also use the unbindAll method to unbind all the events. As with jQuery's bind and unbind, you can handle the sheet's bind and unbind, as shown in the following code:
When you want to perform tasks that might trigger several events, and you don't want the sheet to trigger these events, use the suspendEvent method to keep the events from occurring. After the tasks are complete, you can use the resumeEvent method to resume triggering events, as shown in the following example:
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import GC from '@mescius/spread-sheets';
import Panel from './panel';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const { useState } = React;
const App = () => {
const [labelValue, setLabel] = useState('Editor Status: Ready!');
const [textareaValue, setTextarea] = useState('Cell is not being edited.');
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread, setLabel, setTextarea)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<div id="statusBar"></div>
<Panel labelValue={labelValue} textareaValue={textareaValue}
></Panel>
</div>
)
}
function setStatus(sheet, setLabel, setTextarea) {
let statusNow = sheet.editorStatus();
if (statusNow === GC.Spread.Sheets.EditorStatus.ready) {
setTextarea("Cell is not being edited.");
setLabel("Editor Status: Ready!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.enter) {
setTextarea("Cell is being edited, you can leave the cell by pressing one of the arrow keys.");
setLabel("Editor Status: Enter!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.edit) {
setTextarea("Cell is being edited, you can not leave the cell by pressing one of the arrow keys.");
setLabel("Editor Status: Edit!");
}
}
function initSpread(spread, setLabel, setTextarea) {
let self = this;
//init Status Bar
var statusBar = new GC.Spread.Sheets.StatusBar.StatusBar(
document.getElementById('statusBar')
);
statusBar.bind(spread);
let sheet = spread.getSheet(0);
sheet.suspendPaint();
setStatus(sheet, setLabel, setTextarea);
sheet.setValue(2, 2, "Click me and input a char with your keyboard!");
sheet.addSpan(2, 2, 1, 5);
sheet.getRange(2, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(4, 2, "Double-click the empty cell with the black border!");
sheet.addSpan(4, 2, 1, 5);
sheet.addSpan(5, 2, 1, 5);
sheet.getRange(5, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(7, 2, "Double-click me!");
sheet.addSpan(7, 2, 1, 5);
sheet.getRange(7, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(9, 2, "Double-click the empty cell with the black border and click it again!");
sheet.addSpan(9, 2, 1, 7);
sheet.addSpan(10, 2, 1, 5);
sheet.getRange(10, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(12, 2, "Press the F2 key to start editing the empty cell with the black border, then press F2 to switch the editor status.");
sheet.addSpan(13, 2, 1, 5);
sheet.getRange(13, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.resumePaint();
sheet.bind(GC.Spread.Sheets.Events.ColumnChanging, function (sender, info) {
//insert column
if (info.propertyName === "addColumns") {
setTextarea("ColumnChanging: addColumns(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
setTextarea("ColumnChanging: deleteColumns(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("ColumnChanging: unhide column(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("ColumnChanging: hide column(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.ColumnChanged, function (sender, info) {
//insert column
if (info.propertyName === "addColumns") {
setTextarea("ColumnChanged: insert column(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
setTextarea("ColumnChanged: deleteColumns(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("ColumnChanged: unhide column(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("ColumnChanged: hide column(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
});
//RowChanging
sheet.bind(GC.Spread.Sheets.Events.RowChanging, function (sender, info) {
//insert row
if (info.propertyName === "addRows") {
setTextarea("RowChanging: insert row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
setTextarea("RowChanging: delete row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("RowChanging: unhide row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("RowChanging: hide row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.RowChanged, function (sender, info) {
//insert row
if (info.propertyName === "addRows") {
setTextarea("RowChanged: insert row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
setTextarea("RowChanged: delete row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("RowChanged: unhide row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("RowChanged: hide row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.EditorStatusChanged, function () {
setStatus(sheet, setLabel, setTextarea);
});
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e, info) {
setTextarea("New Selection(" + "row: " + info.newSelections[0].row + ", " + "column: " + info.newSelections[0].col + ", " + "rowCount: " + info.newSelections[0].rowCount + ", " + "columnCount: " + info.newSelections[0].colCount + ")");
setLabel("SelectionChanging event called!");
});
}
createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import Panel from './panel';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const { useState } = React;
export const AppFunc = () => {
const [labelValue, setLabel] = useState('Editor Status: Ready!');
const [textareaValue, setTextarea] = useState('Cell is not being edited.');
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread, setLabel, setTextarea)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<Panel labelValue={labelValue} textareaValue={textareaValue}
></Panel>
</div>
)
}
function setStatus(sheet, setLabel, setTextarea) {
let statusNow = sheet.editorStatus();
if (statusNow === GC.Spread.Sheets.EditorStatus.ready) {
setTextarea("Cell is not being edited.");
setLabel("Editor Status: Ready!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.enter) {
setTextarea("Cell is being edited, you can leave the cell by pressing one of the arrow keys.");
setLabel("Editor Status: Enter!");
} else if (statusNow === GC.Spread.Sheets.EditorStatus.edit) {
setTextarea("Cell is being edited, you can not leave the cell by pressing one of the arrow keys.");
setLabel("Editor Status: Edit!");
}
}
function initSpread(spread, setLabel, setTextarea) {
let self = this;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
setStatus(sheet, setLabel, setTextarea);
sheet.setValue(2, 2, "Click me and input a char with your keyboard!");
sheet.addSpan(2, 2, 1, 5);
sheet.getRange(2, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(4, 2, "Double-click the empty cell with the black border!");
sheet.addSpan(4, 2, 1, 5);
sheet.addSpan(5, 2, 1, 5);
sheet.getRange(5, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(7, 2, "Double-click me!");
sheet.addSpan(7, 2, 1, 5);
sheet.getRange(7, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.setValue(9, 2, "Double-click the empty cell with the black border and click it again!");
sheet.addSpan(9, 2, 1, 7);
sheet.addSpan(10, 2, 1, 5);
sheet.getRange(10, 2, 1, 5).setBorder(new GC.Spread.Sheets.LineBorder("Black", GC.Spread.Sheets.LineStyle.thin), {
all: true
});
sheet.resumePaint();
sheet.bind(GC.Spread.Sheets.Events.ColumnChanging, function (sender, info) {
//insert column
if (info.propertyName === "addColumns") {
setTextarea("ColumnChanging: addColumns(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
setTextarea("ColumnChanging: deleteColumns(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("ColumnChanging: unhide column(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("ColumnChanging: hide column(" + "column: " + info.col + ")");
setLabel("ColumnChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.ColumnChanged, function (sender, info) {
//insert column
if (info.propertyName === "addColumns") {
setTextarea("ColumnChanged: insert column(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
//delete column
if (info.propertyName === "deleteColumns") {
setTextarea("ColumnChanged: deleteColumns(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
//unhide column
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("ColumnChanged: unhide column(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
//hide column
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("ColumnChanged: hide column(" + "column: " + info.col + ")");
setLabel("ColumnChanged event called!");
}
});
//RowChanging
sheet.bind(GC.Spread.Sheets.Events.RowChanging, function (sender, info) {
//insert row
if (info.propertyName === "addRows") {
setTextarea("RowChanging: insert row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
setTextarea("RowChanging: delete row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("RowChanging: unhide row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("RowChanging: hide row(" + "row: " + info.row + ")");
setLabel("RowChanging event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.RowChanged, function (sender, info) {
//insert row
if (info.propertyName === "addRows") {
setTextarea("RowChanged: insert row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
//delete row
if (info.propertyName === "deleteRows") {
setTextarea("RowChanged: delete row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
//unhide row
if (info.propertyName === "isVisible" && info.newValue === true) {
setTextarea("RowChanged: unhide row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
//hide row
if (info.propertyName === "isVisible" && info.newValue === false) {
setTextarea("RowChanged: hide row(" + "row: " + info.row + ")");
setLabel("RowChanged event called!");
}
});
sheet.bind(GC.Spread.Sheets.Events.EditorStatusChanged, function () {
setStatus(sheet, setLabel, setTextarea);
});
sheet.bind(GC.Spread.Sheets.Events.SelectionChanging, function (e, info) {
setTextarea("New Selection(" + "row: " + info.newSelections[0].row + ", " + "column: " + info.newSelections[0].col + ", " + "rowCount: " + info.newSelections[0].rowCount + ", " + "columnCount: " + info.newSelections[0].colCount + ")");
setLabel("SelectionChanging event called!");
});
}
import * as React from 'react';
export default function Panel(props) {
const { labelValue, textareaValue } = props;
return (
<div class="options-container">
<div class="option-row">
<label class='labelStyle' id="status">{labelValue}</label>
</div>
<div class="option-row">
<textarea value={textareaValue} id="showSheetEvents" cols="40" rows="5" style={{ width: '80%'}}></textarea>
</div>
</div>
);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: calc(100% - 25px);
overflow: hidden;
float: left;
}
#statusBar {
bottom: 0;
height: 25px;
width: 100%;
position: relative;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
input {
padding: 4px 6px;
}
.labelStyle {
color:rgb(226,107,29);
display:inline-block;
font-family:Arial, Helvetica, sans-serif;
font-size: 18px;
font-weight: normal;
height:30px;
line-height: 30px
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);